Counters

## Macros

#define | __itt_counter_inc ITTNOTIFY_VOID(counter_inc)
#define | __itt_counter_inc_ptr ITTNOTIFY_NAME(counter_inc)
#define | __itt_counter_inc_delta ITTNOTIFY_VOID(counter_inc_delta)
#define | __itt_counter_inc_delta_ptr ITTNOTIFY_NAME(counter_inc_delta)
#define | __itt_counter_dec ITTNOTIFY_VOID(counter_dec)
#define | __itt_counter_dec_ptr ITTNOTIFY_NAME(counter_dec)
#define | __itt_counter_dec_delta ITTNOTIFY_VOID(counter_dec_delta)
#define | __itt_counter_dec_delta_ptr ITTNOTIFY_NAME(counter_dec_delta)
#define | __itt_counter_inc_v3(d, x) ITTNOTIFY_VOID_D1(counter_inc_v3,d,x)
#define | __itt_counter_inc_v3_ptr ITTNOTIFY_NAME(counter_inc_v3)
#define | __itt_counter_inc_delta_v3(d, x, y) ITTNOTIFY_VOID_D2(counter_inc_delta_v3,d,x,y)
#define | __itt_counter_inc_delta_v3_ptr ITTNOTIFY_NAME(counter_inc_delta_v3)
#define | __itt_counter_dec_v3(d, x) ITTNOTIFY_VOID_D1(counter_dec_v3,d,x)
#define | __itt_counter_dec_v3_ptr ITTNOTIFY_NAME(counter_dec_v3)
#define | __itt_counter_dec_delta_v3(d, x, y) ITTNOTIFY_VOID_D2(counter_dec_delta_v3,d,x,y)
#define | __itt_counter_dec_delta_v3_ptr ITTNOTIFY_NAME(counter_dec_delta_v3)

## Functions

void ITTAPI | __itt_counter_inc (__itt_counter id)
| opaque structure for counter identification More...
void ITTAPI | __itt_counter_inc_delta (__itt_counter id, unsigned long long value)
| Increment the unsigned 64 bits integer counter value with x. More...
void ITTAPI | __itt_counter_dec (__itt_counter id)
| Decrement the unsigned 64 bits integer counter value. More...
void ITTAPI | __itt_counter_dec_delta (__itt_counter id, unsigned long long value)
| Decrement the unsigned 64 bits integer counter value with x. More...
void ITTAPI | __itt_counter_inc_v3 (const __itt_domain *domain, __itt_string_handle *name)
| Increment a counter by one. The first call with a given name creates a counter by that name and sets its value to zero. Successive calls increment the counter value. More...
void ITTAPI | __itt_counter_inc_delta_v3 (const __itt_domain *domain, __itt_string_handle *name, unsigned long long delta)
| Increment a counter by the value specified in delta. More...
void ITTAPI | __itt_counter_dec_v3 (const __itt_domain *domain, __itt_string_handle *name)
| Decrement a counter by one. The first call with a given name creates a counter by that name and sets its value to zero. Successive calls decrement the counter value. More...
void ITTAPI | __itt_counter_dec_delta_v3 (const __itt_domain *domain, __itt_string_handle *name, unsigned long long delta)
| Decrement a counter by the value specified in delta. More...

## Detailed Description

Counters are user-defined objects with a monotonically increasing value. Counter values are 64-bit unsigned integers. Counters have names that can be displayed in the tools.

## Macro Definition Documentation

## __itt_counter_dec

#define __itt_counter_dec ITTNOTIFY_VOID(counter_dec)

Definition at line 2991 of file ittnotify.h.

## __itt_counter_dec_delta

#define __itt_counter_dec_delta ITTNOTIFY_VOID(counter_dec_delta)

Definition at line 3011 of file ittnotify.h.

## __itt_counter_dec_delta_ptr

#define __itt_counter_dec_delta_ptr ITTNOTIFY_NAME(counter_dec_delta)

Definition at line 3012 of file ittnotify.h.

## __itt_counter_dec_delta_v3

#define __itt_counter_dec_delta_v3 | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | ITTNOTIFY_VOID_D2(counter_dec_delta_v3,d,x,y)

Definition at line 3091 of file ittnotify.h.

## __itt_counter_dec_delta_v3_ptr

#define __itt_counter_dec_delta_v3_ptr ITTNOTIFY_NAME(counter_dec_delta_v3)

Definition at line 3092 of file ittnotify.h.

## __itt_counter_dec_ptr

#define __itt_counter_dec_ptr ITTNOTIFY_NAME(counter_dec)

Definition at line 2992 of file ittnotify.h.

## __itt_counter_dec_v3

#define __itt_counter_dec_v3 | ( |  | d,
|  |  | x
| ) |  | ITTNOTIFY_VOID_D1(counter_dec_v3,d,x)

Definition at line 3089 of file ittnotify.h.

## __itt_counter_dec_v3_ptr

#define __itt_counter_dec_v3_ptr ITTNOTIFY_NAME(counter_dec_v3)

Definition at line 3090 of file ittnotify.h.

## __itt_counter_inc

#define __itt_counter_inc ITTNOTIFY_VOID(counter_inc)

Definition at line 2950 of file ittnotify.h.

## __itt_counter_inc_delta

#define __itt_counter_inc_delta ITTNOTIFY_VOID(counter_inc_delta)

Definition at line 2970 of file ittnotify.h.

## __itt_counter_inc_delta_ptr

#define __itt_counter_inc_delta_ptr ITTNOTIFY_NAME(counter_inc_delta)

Definition at line 2971 of file ittnotify.h.

## __itt_counter_inc_delta_v3

#define __itt_counter_inc_delta_v3 | ( |  | d,
|  |  | x,
|  |  | y
| ) |  | ITTNOTIFY_VOID_D2(counter_inc_delta_v3,d,x,y)

Definition at line 3049 of file ittnotify.h.

## __itt_counter_inc_delta_v3_ptr

#define __itt_counter_inc_delta_v3_ptr ITTNOTIFY_NAME(counter_inc_delta_v3)

Definition at line 3050 of file ittnotify.h.

## __itt_counter_inc_ptr

#define __itt_counter_inc_ptr ITTNOTIFY_NAME(counter_inc)

Definition at line 2951 of file ittnotify.h.

## __itt_counter_inc_v3

#define __itt_counter_inc_v3 | ( |  | d,
|  |  | x
| ) |  | ITTNOTIFY_VOID_D1(counter_inc_v3,d,x)

Definition at line 3047 of file ittnotify.h.

## __itt_counter_inc_v3_ptr

#define __itt_counter_inc_v3_ptr ITTNOTIFY_NAME(counter_inc_v3)

Definition at line 3048 of file ittnotify.h.

## Function Documentation

## __itt_counter_dec()

void ITTAPI __itt_counter_dec | ( | __itt_counter | id | ) |

Decrement the unsigned 64 bits integer counter value.

Calling this function to non-unsigned 64 bits integer counters has no effect

## __itt_counter_dec_delta()

void ITTAPI __itt_counter_dec_delta | ( | __itt_counter | id,
|  | unsigned long long | value
| ) |  |

Decrement the unsigned 64 bits integer counter value with x.

Calling this function to non-unsigned 64 bits integer counters has no effect

## __itt_counter_dec_delta_v3()

void ITTAPI __itt_counter_dec_delta_v3 | ( | const __itt_domain * | domain,
|  | __itt_string_handle * | name,
|  | unsigned long long | delta
| ) |  |

Decrement a counter by the value specified in delta.

Parameters

  [in] | domain | The domain controlling the call. Counter names are not domain specific. The domain argument is used only to enable or disable the API calls.
  [in] | name | The name of the counter
  [in] | delta | The amount by which to decrement the counter

## __itt_counter_dec_v3()

void ITTAPI __itt_counter_dec_v3 | ( | const __itt_domain * | domain,
|  | __itt_string_handle * | name
| ) |  |

Decrement a counter by one. The first call with a given name creates a counter by that name and sets its value to zero. Successive calls decrement the counter value.

Parameters

  [in] | domain | The domain controlling the call. Counter names are not domain specific. The domain argument is used only to enable or disable the API calls.
  [in] | name | The name of the counter

## __itt_counter_inc()

void ITTAPI __itt_counter_inc | ( | __itt_counter | id | ) |

opaque structure for counter identification

Increment the unsigned 64 bits integer counter value

Calling this function to non-unsigned 64 bits integer counters has no effect

## __itt_counter_inc_delta()

void ITTAPI __itt_counter_inc_delta | ( | __itt_counter | id,
|  | unsigned long long | value
| ) |  |

Increment the unsigned 64 bits integer counter value with x.

Calling this function to non-unsigned 64 bits integer counters has no effect

## __itt_counter_inc_delta_v3()

void ITTAPI __itt_counter_inc_delta_v3 | ( | const __itt_domain * | domain,
|  | __itt_string_handle * | name,
|  | unsigned long long | delta
| ) |  |

Increment a counter by the value specified in delta.

Parameters

  [in] | domain | The domain controlling the call. Counter names are not domain specific. The domain argument is used only to enable or disable the API calls.
  [in] | name | The name of the counter
  [in] | delta | The amount by which to increment the counter

## __itt_counter_inc_v3()

void ITTAPI __itt_counter_inc_v3 | ( | const __itt_domain * | domain,
|  | __itt_string_handle * | name
| ) |  |

Increment a counter by one. The first call with a given name creates a counter by that name and sets its value to zero. Successive calls increment the counter value.

Parameters

  [in] | domain | The domain controlling the call. Counter names are not domain specific. The domain argument is used only to enable or disable the API calls.
  [in] | name | The name of the counter

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.